using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioCip
    {

        public IList<entidadeCip> Select(entidadeCip objCip)
        {
            dalCip dalCip = null;

            var lstCip = new List<entidadeCip>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalCip = new dalCip();
                dt = dalCip.Select(objCip);

                regranegocioGlobal = new regraNegocioGlobal();

                lstCip = regraNegocioGlobal.ConvertDataTable<entidadeCip>(dt);

                return lstCip;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeCip> Select_1(entidadeCip objCip)
        {
            dalCip dalCip = null;

            var lstCip = new List<entidadeCip>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalCip = new dalCip();
                dt = dalCip.Select_1(objCip);

                regranegocioGlobal = new regraNegocioGlobal();

                lstCip = regraNegocioGlobal.ConvertDataTable<entidadeCip>(dt);

                return lstCip;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
